Package com.documentum.fc.client

# Interface IDfContentCollection

All Superinterfaces:
  `IDfCollection`, `IDfTypedObject`

public interface IDfContentCollection extends IDfCollection

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfCollection

  `DF_CLOSED_STATE, DF_INITIAL_STATE, DF_NO_MORE_ROWS_STATE, DF_READY_STATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBufferSize()`
  `long`
  `getBytePosition()`
  `int`
  `getContentSize()`
  Return the size of requested content.
  `ByteArrayInputStream`
  `getCurrentBuffer()`
  Returns the current content buffer.
  `int`
  `getCurrentLength()`
  `long`
  `getFullContentSize()`
  Return the size of requested content.
  `boolean`
  `isSeekable()`
  `void`
  `seek(int position, int root)`
  Sets the starting position used by `IDfCollection.next()` for reading the next buffer of a content collection.
  `void`
  `seekEx(long position, int root)`
  Sets the starting position used by `IDfCollection.next()` for reading the next buffer of a content collection.

  ### Methods inherited from interface com.documentum.fc.client.IDfCollection

  `close, getBytesBuffer, getState, getStateEx, getTypedObject, next`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getCurrentBuffer

    ByteArrayInputStream getCurrentBuffer() throws DfException
    Returns the current content buffer.
    Returns:
      a ByteArrayInputStream containing the data in the current content buffer
    Throws:
      `DfException` - if a server error occurs

  - ### seek

    void seek(int position, int root) throws DfException
    Sets the starting position used by `IDfCollection.next()` for reading the next buffer of a content collection.

    This call is only valid on a content collection.
    Parameters:
      `position` - defines the relative byte position where you want to start reading the content. The relative position can be a positive or negative integer.
      `root` - specifies the root location from which to begin the seek operation. The position argument specifies a value relative to this starting root location. Valid values are: `IDfSeekRoot.BEGINNING`, `IDfSeekRoot.CURRENT`, or `IDfSeekRoot.END`.
    Throws:
      `DfException`

  - ### seekEx

    void seekEx(long position, int root) throws DfException
    Sets the starting position used by `IDfCollection.next()` for reading the next buffer of a content collection.

    This call is only valid on a content collection.
    Parameters:
      `position` - defines the relative byte position where you want to start reading the content. The relative position can be a positive or negative integer.
      `root` - specifies the root location from which to begin the seek operation. The position argument specifies a value relative to this starting root location. Valid values are: `IDfSeekRoot.BEGINNING`, `IDfSeekRoot.CURRENT`, or `IDfSeekRoot.END`.
    Throws:
      `DfException`

  - ### getBufferSize

    int getBufferSize() throws DfException
    Throws:
      `DfException`

  - ### getCurrentLength

    int getCurrentLength() throws DfException
    Throws:
      `DfException`

  - ### getContentSize

    int getContentSize() throws DfException
    Return the size of requested content. For large file, use getFullContentSize. For extern store, the content size is not corretly filled in until all the content has been read.
    Throws:
      `DfException`

  - ### getFullContentSize

    long getFullContentSize() throws DfException
    Return the size of requested content. For extern store, the content size is not corretly filled in until all the content has been read.
    Throws:
      `DfException`

  - ### isSeekable

    boolean isSeekable() throws DfException
    Throws:
      `DfException`

  - ### getBytePosition

    long getBytePosition() throws DfException
    Throws:
      `DfException`